<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v3 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
|----------------------------------------------------+
| Name: DeLuxe Weblink Portal
| Version: 1.0
| Author: Smokeman
| Web: PHPFusion-Tips.dk
| URL: http://www.phpfusion-tips.dk
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."deluxe_weblink_portal/infusion_db.php";

add_to_title(" - DeLuxe Weblink Portal");

if (file_exists(INFUSIONS."deluxe_weblink_portal/locale/".$settings['locale'].".php")) {
	include INFUSIONS."deluxe_weblink_portal/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."deluxe_weblink_portal/locale/English.php";
}

if (!checkrights("DWP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

echo "<script type='text/javascript' language='JavaScript' src='".INCLUDES."jscript.js'></script>";

$result=dbquery("SELECT * FROM ".DB_DWP." WHERE numoflinks_id='1'");
$data=dbarray($result);

if (isset($_POST['numoflinks_link']) && ($_POST['numoflinks_linkchars']) && ($_POST['numoflinks_cats']) && ($_POST['numoflinks_catschars']) && ($_POST['numoflinks_submit']) && ($_POST['numoflinks_latest']) && ($_POST['numoflinks_popular'])) {
	$error = 0;
$result=dbquery("UPDATE ".DB_DWP." SET numoflinks_id='1',numoflinks_link='".$_POST['numoflinks_link']."',numoflinks_linkchars='".$_POST['numoflinks_linkchars']."',numoflinks_cats='".$_POST['numoflinks_cats']."',numoflinks_catschars='".$_POST['numoflinks_catschars']."',numoflinks_submit='".$_POST['numoflinks_submit']."',numoflinks_latest='".$_POST['numoflinks_latest']."',numoflinks_popular='".$_POST['numoflinks_popular']."'");

$result=dbquery("SELECT * FROM ".DB_DWP." WHERE numoflinks_id='1'");
$data=dbarray($result);
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable($locale['dwp_200']);

echo "<form method='POST' action='".FUSION_SELF.$aidlink."'>
<table cellspacing='0' cellpadding='0' width='400'>
<tr>
<td align='left' width='50%'>".$locale['dwp_207']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='3' name='numoflinks_latest' value='".$data['numoflinks_latest']."'></td>
</tr>
<tr>
<td align='left' width='50%'>".$locale['dwp_208']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='3' name='numoflinks_popular' value='".$data['numoflinks_popular']."'></td>
</tr>
<tr>
<td align='left' width='50%'>".$locale['dwp_206']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='3' name='numoflinks_submit' value='".$data['numoflinks_submit']."'></td>
</tr>
<tr>
<td align='left' width='50%'>".$locale['dwp_201']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='2' name='numoflinks_link' value='".$data['numoflinks_link']."'></td>
</tr>
<tr>
<td align='left' width='50%'>".$locale['dwp_202']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='2' name='numoflinks_linkchars' value='".$data['numoflinks_linkchars']."'></td>
</tr>
<tr>
<td align='left' width='50%'>".$locale['dwp_203']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='2' name='numoflinks_cats' value='".$data['numoflinks_cats']."'></td>
</tr>
<tr>
<td align='left' width='50%'>".$locale['dwp_204']."</td>
<td align='right' width='10%'><input type='text' class=textbox' size='2' maxlength='2' name='numoflinks_catschars' value='".$data['numoflinks_catschars']."'></td>
</tr>
<tr>
<td align='left' width='100%' align='center' colspan='2'><input type='submit' value='".$locale['dwp_205']."' class='button'></td>
</tr>
</table>
</form>";

echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'><tr><td align='right'><a href='http://www.phpfusion-tips.dk/' title=\"header=[".$locale['dwp_001']."] body=[".rawurlencode("<center>Powered by:<br />PHPFusion-Tips.dk<br /><a href='http://www.phpfusion-tips.dk/' target='_blank'><img src='".INFUSIONS."/deluxe_weblink_portal/images/phpftips.gif' alt='PHPFusion-Tips.dk' border='0' /></a></center>")."] delay=[0] fade=[off]\" title='' target='_blank'>&copy;</a></td></tr></table>\n";

closetable();

require_once THEMES."templates/footer.php";
?>


