<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v3 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
|----------------------------------------------------+
| Name: DeLuxe Weblink Portal
| Version: 1.0
| Author: Smokeman
| Web: PHPFusion-Tips.dk
| URL: http://www.phpfusion-tips.dk
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."deluxe_weblink_portal/infusion_db.php";

add_to_title(" - DeLuxe Weblink Portal");

if (file_exists(INFUSIONS."deluxe_weblink_portal/locale/".$settings['locale'].".php")) {
	include INFUSIONS."deluxe_weblink_portal/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."deluxe_weblink_portal/locale/English.php";
}

echo "<script type='text/javascript' language='JavaScript' src='".INCLUDES."jscript.js'></script>";

opentable($locale['dwp_001']);

echo "<center><table width='100%'><tr>\n

<td valign='top' width='33%' class='small'>";
openside($locale['dwp_002']);
include INFUSIONS."deluxe_weblink_portal/new_links.php";
closeside();
echo "</td>";

echo "<td valign='top' width='33%' class='small'>";
openside($locale['dwp_003']);
include INFUSIONS."deluxe_weblink_portal/popular_links.php";
closeside();
echo "</td>";

echo "<td valign='top' width='33%' class='small' align='center'>";
openside($locale['dwp_004']);
include INFUSIONS."deluxe_weblink_portal/submit_links.php";
closeside();
echo "</td>";

echo "</tr></table></center>\n";

echo "<hr /><center>
".$locale['dwp_010']." <b>".number_format(dbcount("(weblink_id)", DB_WEBLINKS))."</b> ".$locale['dwp_011']." <b>".number_format(dbcount("(weblink_cat_id)", DB_WEBLINK_CATS))."</b> ".$locale['dwp_012'].".
</center><hr />";

if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE weblink_cat_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_WEBLINK_CATS.$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }


if ($rows != 0) {
	$i = 0;
	$colspan = $rows >= 3 ? "colspan='3' " : ($rows == 2 ? "colspan='2' " : "");
	$width = $rows >= 3 ? "33%" : ($rows == 2 ? "50%" : "100%");
	echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>

<tr>
<td class='tbl1'>";

echo "<table align='center' cellpadding='0' cellspacing='5' width='100%'>
<tr>\n";
	
$result3 = dbquery("SELECT * FROM ".DB_DWP."");
$data3 = dbarray($result3);	
	
	$result = dbquery("SELECT * FROM ".DB_WEBLINK_CATS.$orderby." ORDER BY weblink_cat_name ASC LIMIT ".$data3['numoflinks_cats']."      ");

	while ($data = dbarray($result)) {
		if ($i != 0 && $i % 3 == 0) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl1");
			echo "</tr>
</table>
</td>
</tr>
<tr>\n";

echo "<td class='$cell_color' valign='top'>\n";

echo "<table align='center' cellpadding='0' cellspacing='5' width='100%' valign='top'>\n";
echo "<tr>\n";

	}	

		$num = dbcount("(weblink_cat)", DB_WEBLINKS, "weblink_cat='".$data['weblink_cat_id']."'");
		$i ++;
$rowstart="0";

echo "<td width='$width' valign='top'>\n";
openside("".trimlink($data['weblink_cat_name'], $data3['numoflinks_catschars'])."", "on");

$qresult=dbquery("SELECT * FROM ".DB_WEBLINKS." WHERE weblink_cat='".$data['weblink_cat_id']."' ORDER BY weblink_datestamp DESC LIMIT ".$data3['numoflinks_link']."");
echo "<a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."' title=\"header=[".$data['weblink_cat_name']."] body=[".rawurlencode("".$data['weblink_cat_description']."")."] delay=[0] fade=[off]\" class='orange'>".$locale['dwp_015']."</a> <span class='small2'>($num)</span><br />";
while($data2=dbarray($qresult)){
echo "".THEME_BULLET." <a target='_blank' href='".BASEDIR."weblinks.php?cat_id=".$data2['weblink_cat']."&amp;weblink_id=".$data2['weblink_id']."' title=\"header=[".$data2['weblink_name']."] body=[".rawurlencode("".$data2['weblink_description']."")."] delay=[0] fade=[off]\" class='side'>".trimlink($data2['weblink_name'], $data3['numoflinks_linkchars'])."</a>\n<br />";
}

closeside();
echo "</td>\n";
$result3 = dbquery("SELECT * FROM ".DB_DWP."");
$data3 = dbarray($result3);
		if (($rows - $rowstart) > 3 && ($i == $data3['numoflinks_cats'] || $i == ($rows - $rowstart))) {
			while($i % 3 != 0) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl1");
				 echo "<td width='33%'> </td>\n";
				$i ++;
			}
		}
	}

echo "</tr>\n";	
echo "</table>\n";

	echo "</td>\n</tr>\n</table>\n";
} else {

	echo "<center><br />\n".$locale['dwp_013']." <b>".$_GET['sortby']."</b><br /><br />\n</center>\n";
}
$search = array(
	"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
	"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
);
echo "<hr />
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n
<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all' title=\"header=[".$locale['dwp_014']."] body=[".rawurlencode("".$locale['dwp_016']."")."] delay=[0] fade=[off]\">".$locale['dwp_014']."</a></td>\n";
for ($i = 0; $i < 36 != ""; $i++) {
echo "<td align='center' class='tbl1'>\n<div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."' title=\"header=[".$locale['dwp_017']."] body=[".rawurlencode("".$locale['dwp_018']."<b>".$search[$i]."</b>")."] delay=[0] fade=[off]\">".$search[$i]."</a></div>\n</td>\n";
echo ($i == 17 ? "\n
<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all' title=\"header=[".$locale['dwp_014']."] body=[".rawurlencode("".$locale['dwp_016']."")."] delay=[0] fade=[off]\">".$locale['dwp_014']."</a></td>\n</tr>\n<tr>\n" : "\n");
}
echo "</tr>\n</table>\n";

echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'><tr><td align='right'><a href='http://www.phpfusion-tips.dk/' title=\"header=[".$locale['dwp_001']."] body=[".rawurlencode("<center>Powered by:<br />PHPFusion-Tips.dk<br /><a href='http://www.phpfusion-tips.dk/' target='_blank'><img src='".INFUSIONS."/deluxe_weblink_portal/images/phpftips.gif' alt='PHPFusion-Tips.dk' border='0' /></a></center>")."] delay=[0] fade=[off]\" title='' target='_blank'>&copy;</a></td></tr></table>\n";

closetable();

if ($rows > $data3['numoflinks_cats']) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], $data3['numoflinks_cats'], $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div>\n"; }
require_once THEMES."templates/footer.php";
?>