<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v3 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
|----------------------------------------------------+
| Name: DeLuxe Weblink Portal
| Version: 1.0
| Author: Smokeman
| Web: PHPFusion-Tips.dk
| URL: http://www.phpfusion-tips.dk
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."deluxe_weblink_portal/infusion_db.php";

if (file_exists(INFUSIONS."deluxe_weblink_portal/locale/".$settings['locale'].".php")) {
	include INFUSIONS."deluxe_weblink_portal/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."deluxe_weblink_portal/locale/English.php";
}

// Infusion Information
$inf_title = $locale['dwp_100'];
$inf_description = $locale['dwp_101'];
$inf_version = "1.0";
$inf_developer = "Smokeman";
$inf_email = "admin@phpfusion-tips.dk";
$inf_weburl = "http://www.phpfusion-tips.dk";

$inf_folder = "deluxe_weblink_portal";

$inf_newtable[1] = DB_DWP." (
numoflinks_id TINYINT(2) UNSIGNED NOT NULL DEFAULT '1',
numoflinks_link TINYINT(2) UNSIGNED NOT NULL DEFAULT '5',
numoflinks_linkchars TINYINT(2) UNSIGNED NOT NULL DEFAULT '30',
numoflinks_cats TINYINT(2) UNSIGNED NOT NULL DEFAULT '15',
numoflinks_catschars TINYINT(2) UNSIGNED NOT NULL DEFAULT '25',
numoflinks_submit TINYINT(3) UNSIGNED NOT NULL DEFAULT '80',
numoflinks_latest TINYINT(3) UNSIGNED NOT NULL DEFAULT '3',
numoflinks_popular TINYINT(3) UNSIGNED NOT NULL DEFAULT '3',
PRIMARY KEY (numoflinks_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_DWP." (numoflinks_id, numoflinks_link, numoflinks_linkchars, numoflinks_cats, numoflinks_catschars, numoflinks_submit, numoflinks_latest, numoflinks_popular) VALUES (1, 5, 30, 15, 25, 80, 5, 5)";

$inf_droptable[1] = DB_DWP;
$inf_altertable[1] = DB_DWP." ADD etc";

$inf_adminpanel[1] = array(
"title" => $locale['dwp_100'],
"image" => "dwp.gif",
"panel" => "admin_dwp.php",
"rights" => "DWP"
);

?>

